package com.goldenwater.slaj.hidd.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.goldenwater.slaj.hidd.domain.BisHiddRectImpl;

/**
 * 隐患整改落实 数据层
 */
@Mapper
public interface BisHiddRectImplMapper {

    /**
     * 查询隐患整改落实信息
     * @param guid 查询条件
     * @return 隐患整改落实信息
     */
    BisHiddRectImpl selectBisHiddRectImplByGuid(String guid);

    /**
     * 查询隐患整改落实列表
     * @param bisHiddRectImpl 隐患整改落实查询条件
     * @return 隐患整改落实集合
     */
    List<BisHiddRectImpl> selectBisHiddRectImplList(BisHiddRectImpl bisHiddRectImpl);

    /**
     * 新增隐患整改落实
     * @param bisHiddRectImpl 隐患整改落实信息
     * @return 影响行数
     */
    int insertBisHiddRectImpl(BisHiddRectImpl bisHiddRectImpl);

    /**
     * 修改隐患整改落实
     * @param bisHiddRectImpl 隐患整改落实信息
     * @return 影响行数
     */
    int updateBisHiddRectImpl(BisHiddRectImpl bisHiddRectImpl);

    /**
     * 删除隐患整改落实
     * @param guid 隐患整改落实主键
     * @return 影响行数
     */
    int deleteBisHiddRectImplByGuid(String guid);

    /**
     * 批量删除隐患整改落实
     * @param guids 隐患整改落实主键数组
     * @return 影响行数
     */
    int deleteBisHiddRectImplByGuids(String[] guids);
}
